Bug 488753 - satsyncing two channels with same nvrea and different distros defaults to the first channel content in both
satsyncing two channels with same nvrea and different distros defaults to the...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-03-05 11:42 EST by Pradeep Kilambi
Modified: 2009-09-17 03:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-03-05 11:42:05 EST
This is to support export/import of channel content for different distros but same nvrea. The sync seems to default to already existing packages in first channel as it treats the second content set to be same as first and skips the rpm syncs and jus does channel associations.

The fix is to check teh md5sum along with nvrea while doing the rpms diffs to filter out existing rpms.
Comment 2 Jesus M. Rodriguez 2009-04-14 10:13:23 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:10:52 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.